Bug 1921013

Summary: Gather PersistentVolume definition (if any) used in image registry config
Product: OpenShift Container Platform Reporter: Tomas Remes <tremes>
Component: Insights OperatorAssignee: Tomas Remes <tremes>
Status: CLOSED ERRATA QA Contact: Pavel Šimovec <psimovec>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.7CC: aos-bugs, inecas, mklika, tremes
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Feature: Gather related persistent volume definition if there is some persistent volume claim defined in image registry configuration. Reason: Using NFS as a storage backend for image registry can cause issues. Result: The definition of persistent volume used in image registry configuration is gathered. More info in https://issues.redhat.com/browse/CCXDEV-3861
Story Points: ---
Clone Of:
: 1928108 (view as bug list) Environment:
Last Closed: 2021-02-24 15:56:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1928108    

Description Tomas Remes 2021-01-27 12:37:29 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Pavel Šimovec 2021-02-04 09:06:39 UTC
verification steps https://github.com/openshift/insights-operator/pull/319#issuecomment-768241632

Comment 3 Pavel Šimovec 2021-02-04 09:10:25 UTC
archive contains config/persistentvolumes/task-pv-volume.json
verified on 4.7.0-0.ci-2021-02-04-051059

Comment 6 errata-xmlrpc 2021-02-24 15:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633